cURL
curl --request GET \
--url https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/lifescore \
--header 'Authorization: Bearer <token>'import requests
url = "https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/lifescore"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://om-staging.mylifeforce.com/api/m2m/patient/{patientId}/lifescore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "99c008ca-6f2f-4629-a409-95976a9fa8b0",
"created_at": "2024-07-12T04:20:52.481Z",
"pillars": [
37,
24.8,
0
],
"vitality_index": 0.74,
"cardiovascular_risk": 0.47,
"cancer_risk": 0.2,
"metabolic_risk": 0.47,
"dementia_risk": 0.47,
"osteoporosis_risk": 0.2,
"biological_age": 38.47,
"total_score": 61.8
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Lifescore
Get Patient Lifescore
Get latest lifescore
GET
/
patient
/
{patientId}
/
lifescore
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the patient in question A universally unique identifier.
Example:
"29ea9012-c622-4851-a57a-9327abd21198"
Response
Returns lifescore
Unique identifier for the Lifescore
Timestamp of when the summary was created
Pillar values contributing to the summary
Overall vitality index value
Cardiovascular risk score
Cancer risk score
Metabolic risk score
Dementia risk score
Osteoporosis risk score
Biological age calculated based on biomarkers
Overall health score
Cycle number for the assessment